SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000501SiT!incidentspublic2009-02-17 20:482009-03-07 15:24
Reporterpaulh 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.45 
Summary0000501: Logging incidents from email
DescriptionTrying to log a call from a received incident does not work as the URL is

javascript:incident_details_window('','incomingview');

Which obviously doesn't work as their is no tempid this appears to be caused by the simplification of the SQL on lines 263-267 in holding queue this is now

$sql = "SELECT u.id AS id, u.*, ti.* ";
$sql .= "FROM `{$dbUpdates}` AS u, `{$dbTempIncoming}` AS ti ";
$sql .= "WHERE u.incidentid = 0 AND ti.updateid = u.id ";
$sql .= "ORDER BY timestamp ASC, ti.id ASC";

rather than

$sql = "SELECT u.id AS id, u.bodytext AS bodytext, ti.emailfrom AS emailfrom, ti.subject AS subject, ";
$sql .= "u.timestamp AS timestamp, ti.incidentid AS incidentid, ti.id AS tempid, ti.locked AS locked, ";
$sql .= "ti.reason AS reason, ti.reason_user AS reason_user, ti.reason_time AS reason_time, ti.contactid AS contactid, ti.`from` AS fromaddr ";
$sql .= "FROM `{$dbUpdates}` AS u, `{$dbTempIncoming}` AS ti ";
$sql .= "WHERE u.incidentid = 0 AND ti.updateid = u.id ";
$sql .= "ORDER BY timestamp ASC, id ASC";
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000733)
ivan (administrator)
2009-03-05 14:22

Is this resolved in 3.45? I suspect it is.
User avatar (0000739)
paulh (administrator)
2009-03-06 20:03

Yes this was fixed just before the release of 3.45
User avatar (0000755)
ivan (administrator)
2009-03-07 15:24

thanks

- Issue History
Date Modified Username Field Change
2009-02-17 20:48 paulh New Issue
2009-03-05 14:22 ivan Note Added: 0000733
2009-03-05 14:22 ivan Status new => feedback
2009-03-06 20:03 paulh Note Added: 0000739
2009-03-06 20:03 paulh Status feedback => resolved
2009-03-06 20:03 paulh Resolution open => fixed
2009-03-07 15:24 ivan Note Added: 0000755
2009-03-07 15:24 ivan Status resolved => closed
2009-03-07 15:24 ivan Fixed in Version => 3.45


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker